com.streambase.sb

## Class StreamBaseListException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.streambase.sb.StreamBaseException
      - - com.streambase.sb.StreamBaseListException

- All Implemented Interfaces:
    LocatedItem, Serializable

      public class StreamBaseListException
      extends StreamBaseException

  An exception that contains a list of exceptions
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreamBaseListException(String message)` StreamBaseListException with given message, no location info
    `StreamBaseListException(String message, List<T> causes)` StreamBaseListException with given message.
    `StreamBaseListException(String message, LocatedItem location)` StreamBaseListException with given message.
    `StreamBaseListException(String message, LocatedItem location, Throwable cause)` StreamBaseListException with given message.
    `StreamBaseListException(String message, T... causes)` StreamBaseListException with given message.
    `StreamBaseListException(String message, Throwable cause)` StreamBaseListException with given message.
    `StreamBaseListException(Throwable cause)` StreamBaseListException with given cause.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Throwable>` | `getCauses()` Retrieve the List of all causes, never null
    `String` | `getMessage()` Return the Exceptions message including all the list of all of the causes
    `void` | `printStackTrace(PrintStream s)`
    `void` | `printStackTrace(PrintWriter s)`

    - ### Methods inherited from class com.streambase.sb.StreamBaseException

      `asXmlStringSingle, asXmlStringStrict, asXmlStringStrict, equals, getParams, hashCode`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.streambase.sb.util.LocatedItem

      `getLocation`

- - ### Constructor Detail

    - #### StreamBaseListException

          public StreamBaseListException(String message)

      StreamBaseListException with given message, no location info
      Parameters:
        `message` - the message

    - #### StreamBaseListException

          public StreamBaseListException(Throwable cause)

      StreamBaseListException with given cause. Location set to Location from cause
      Parameters:
        `cause` - the wrapped exception

    - #### StreamBaseListException

          public StreamBaseListException(String message,
                                         Throwable cause)

      StreamBaseListException with given message. Location set to Location from cause
      Parameters:
        `message` - the message
        `cause` - the wrapped exception

    - #### StreamBaseListException

          public StreamBaseListException(String message,
                                         LocatedItem location,
                                         Throwable cause)

      StreamBaseListException with given message. Location set to given location
      Parameters:
        `message` - the message
        `location` - the location of the exception
        `cause` - the wrapped exception

    - #### StreamBaseListException

          public StreamBaseListException(String message,
                                         LocatedItem location)

      StreamBaseListException with given message. Location set to given location
      Parameters:
        `message` - the message
        `location` - the location of the exception

    - #### StreamBaseListException

          public StreamBaseListException(String message,
                                         List<T> causes)

      StreamBaseListException with given message. Location set to the first exception in the list of causes that has a location
      Parameters:
        `message` - the message
        `causes` - a list of causes

    - #### StreamBaseListException

          @SafeVarargs
          public StreamBaseListException(String message,
                                                       T... causes)

      StreamBaseListException with given message. Location set to the first exception in the list of causes that has a location
      Parameters:
        `message` - the message
        `causes` - a list of causes

  - ### Method Detail

    - #### getCauses

          public List<Throwable> getCauses()

      Retrieve the List of all causes, never null
      Returns:
        a list of causes as Throwables

    - #### getMessage

          public String getMessage()

      Return the Exceptions message including all the list of all of the causes
      Overrides:
        `getMessage` in class `Throwable`

    - #### printStackTrace

          public void printStackTrace(PrintStream s)

      Overrides:
        `printStackTrace` in class `Throwable`

    - #### printStackTrace

          public void printStackTrace(PrintWriter s)

      Overrides:
        `printStackTrace` in class `Throwable`

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.